# Created by pyp2rpm-3.3.6
%global pypi_name sphinx-notfound-page

Name:           python-%{pypi_name}
Version:        0.8.3
Release:        %mkrel 1
Summary:        Sphinx extension to build a 404 page with absolute URLs
Group:          Development/Python
License:        MIT
URL:            https://github.com/readthedocs/sphinx-notfound-page
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3dist(flit-core)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-autoapi)
BuildRequires:  python3dist(sphinx-tabs)
BuildRequires:  python3dist(sphinx-prompt)
BuildRequires:  python3dist(sphinxemoji)

%description
Create a custom 404 page with absolute URLs hardcoded.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Create a custom 404 page with absolute URLs hardcoded.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files notfound

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst
%doc html


%changelog
* Sun Jan 15 2023 wally <wally> 0.8.3-1.mga9
+ Revision: 1933491
- new version 0.8.3

* Wed Mar 30 2022 umeabot <umeabot> 0.8-2.mga9
+ Revision: 1833852
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.8-1.mga9
+ Revision: 1783391
- version 0.8
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.7.1-1.mga9
+ Revision: 1733850
- imported package python-sphinx-notfound-page

